@import "../../vars.scss";

.fifthSec {
    overflow: auto;
    margin-top: $marginSec;
    .imgWrapper {
        margin: 0 auto;
        width: min-content;
        position: relative;
        img {
            max-width: 50vw;
        }
    }
    .prosWrapper {
        gap: 12px;
        display: flex;
        position: absolute;
        padding-left: 10px;
        padding-right: 23px;
        border-radius: 150px;
        background-color: #fff;
        box-shadow: 0px 4px 10px 0px #0036880a;
        .prosTitle {
            width: auto;
            padding: 23px 0;
            font-size: 21px;
            color: $darkFont;
            font-weight: 500;
            align-self: center;
            line-height: 26.77px;
        }
        .star {
            width: 45px;
            margin: 0;
        }
    }
}

.prosWrapper1 {
    top: 90px;
    left: -390px;
}

.prosWrapper2 {
    top: 0px;
    right: -380px;
}

.prosWrapper3 {
    bottom: 0;
    left: -374px;
    max-width: 314px;
}

.prosWrapper4 {
    bottom: 55px;
    right: -393px;
    max-width: 383px;
}

@media (max-width: 1210px) {
    .fifthSec {
        .prosWrapper {
            .prosTitle {
                font-size: 16px;
                line-height: 22px;
            }
        }
        .prosWrapper1 {
            left: -300px;
        }

        .prosWrapper2 {
            top: -30px;
            right: -270px;
        }

        .prosWrapper3 {
            left: -260px;
            max-width: 260px;
        }

        .prosWrapper4 {
            right: -270px;
            bottom: -20px;
            max-width: 320px;
        }
    }
}

@media (max-width: 1024px) {
    .fifthSec {
        padding-bottom: 150px;
        .imgWrapper {
            padding-top: 100px;
            img {
                width: 350px;
            }
        }
        .prosWrapper1 {
            left: -230px;
        }

        .prosWrapper2 {
            top: 30px;
            right: -240px;
        }

        .prosWrapper3 {
            bottom: -20px;
            left: -220px;
            max-width: 260px;
        }

        .prosWrapper4 {
            right: -240px;
            bottom: -60px;
        }
    }
}

@media (max-width: 840px) {
    .fifthSec {
        padding-bottom: 100px;
        .imgWrapper {
            gap: 12px;
            width: auto;
            display: flex;
            flex-direction: column;
            padding-top: 0;
            img {
                align-self: center;
                margin-bottom: 20px;
            }
        }
        .prosWrapper {
            width: auto;
            position: unset;
            max-width: none;
            align-self: center;
        }
    }
}

@media (max-width: 650px) {
    .advantage {
        .secHeader {
            div {
                h2 {
                    white-space: normal;
                }
            }
        }
    }
}

@media (max-width: 540px) {
    .fifthSec .prosWrapper {
        padding: 0 13px;
        gap: 2px;
        .star {
            width: 24px;
        }
        .prosTitle {
            padding: 10px 0;
            font-size: 12px;
            line-height: 15.3px;
        }
    }
}

@media (max-width: 460px) {
    .fifthSec {
        margin-top: $marginSecMobile;
        padding-bottom: 60px;
        .imgWrapper img {
            width: 205.4px;
            max-width: auto;
        }
    }
}
